<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

include($rutaPhp.$rutaHtml.'/librerias/teclado.php');

unset($_SESSION['producto']);
unset($_SESSION['lecturas']);

if($_GET['entrada'] && $_GET['empresa']) {
	$peticion='TPDTTrazabilidad#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#DETALLEENTRADA#'.$_GET['entrada'];
}
else {
	//Recarga
	$peticion='TPDTTrazabilidad#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#DETALLEENTRADA#'.$_SESSION['entradaTrazabilidad']['NumEntrada'];
}

$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
if($_GET['traza']=='si') {
	echo "<p>".$peticion."</p>";
	print_r($resultado);
}
	
$_SESSION['entradaTrazabilidad']=$resultado[0];
$_SESSION['productos']=arreglaArrayPXMobileProxiumResult($_SESSION['entradaTrazabilidad']['ListaProductos']);

?>

<div class="estilosOP">

<div id="popupTrazabilidad" class="popup" style="display:none"></div>
<div id="popupTrazabilidadContenido" class="popupContenidoScroll" style="display:none"></div>

<h2 class="desplazamientoSuperiorMenu">Trazabilidad de tabaco en entrada Nº 
  <?php if($_GET['entrada']) echo $_GET['entrada']; else echo $_SESSION['entradaTrazabilidad']['NumEntrada']; ?></h2>

<?php
if($resultado[0]['Error']) {
	$valores=explode('#',$resultado[0]['Error']);
	?><p class="error">ERROR: <?php echo $valores[1]; ?></p><?php
}
else {
?>

<table class="tablaFormateada desplazamientoSuperior">
<tr>
	<?php if(count($_SESSION['empresas'])>1) { ?><th>Empresa</th><?php } ?>
    <th>Fecha</th>
	<th>Expedidor</th>
	<?php if($_SESSION['gestion']!='PRI') { ?><th>Propietario</th><?php } ?>
</tr>
<tr>
	<?php if(count($_SESSION['empresas'])>1) { ?><td><?php echo $_SESSION['entradaTrazabilidad']['Empresa']; ?></td><?php } ?>
    <td><?php echo fechaNacional($_SESSION['entradaTrazabilidad']['FechaEntrada']); ?></td>
    <td><?php echo $_SESSION['entradaTrazabilidad']['Expedidor']; ?></td>
    <?php if($_SESSION['gestion']!='PRI') { ?><td><?php echo $_SESSION['entradaTrazabilidad']['ClientePropietario']; ?></td><?php } ?>
  </tr>
</table>
    
<?php

// GESTION DE LOS LISTADOS DE PRODUCTOS

$productosALeer=array();
$productosLeidos=array();

foreach($_SESSION['productos'] as $producto) {
			 
	if($producto['Leido']>0) {
		$productosLeidos[]=$producto;
		if( $producto['Cantidad'] > $producto['Leido'] ) $productosALeer[]=$producto;
	}
	else $productosALeer[]=$producto;
}

if(count($productosALeer)>0 || count($productosLeidos)>0) {
	
	?>
<h3>Productos incluidos en la entrada pendientes de Trazabilidad:</h3>
<?php
	
	if(count($productosALeer)>0) {
	
		?>
    	<table class="tablaFormateada anchoMaximo">
            <tr>
                <th>Seleccionar</th>
                <th>Código</th>
                <th>Descripción</th>
                <?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
                    <?php if($comportamiento['Activo']=='S') { ?><th><?php echo $comportamiento['Nombre']; ?></th><?php } ?>
                <?php } ?>
                <th>Cantidad</th>
                <?php if($_SESSION['verEnCajas']=='S') { ?>
                <th>Cajas</th>
                <?php } ?>
                <th>Leído</th>
            </tr>
            <?php
        
            foreach($productosALeer as $producto) {
            
            ?>
            <tr class="lineaEntrada">
                <td><?php if($producto['Preparado']<$producto['Cantidad'] && ( !$producto['EAN'] && !$producto['DUN'] ) ) { ?><input name="iniciar<?php echo $producto['LineaEntrada']; ?>" type="checkbox" class="checkGrande selectorInicio" id="iniciar<?php echo $producto['LineaEntrada']; ?>" codigo="<?php echo $producto['Codigo']; ?>" <?php foreach($_SESSION['comportamientosGlobales'] as $comportamiento) if($comportamiento['NombreSQL']!='Regimen') { echo 'Control'.$comportamiento['NombreSQL'].'='.$producto['Control'.$comportamiento['NombreSQL']].' '; } ?> cantidad="<?php echo $producto['Cantidad']; ?>" cantidadcajas="<?php echo $producto['CantidadCajas']; ?>" embalajeprimariocaja="<?php echo $producto['EmbalajePrimarioCaja']; ?>" leido="<?php echo $producto['Leido']; ?>" lineaentrada="<?php echo $producto['LineaEntrada']; ?>"/><?php } ?></td>
                <td><?php echo $producto['Codigo']; ?></td>
                <td align="left" style="max-width:400px;word-wrap:break-word;"><?php echo $producto['Descripcion']; ?></td>
                <?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
                    <?php if($comportamiento['Activo']=='S') { ?>
                    <td><?php
					if($comportamiento['NombreSQL']=='Regimen') echo $producto['Regimen'];
					else if($producto[$comportamiento['NombreSQL']]) echo formateaTipo($producto[$comportamiento['NombreSQL']],$comportamiento['Tipo']);
					?></td>
       	    <?php } ?>
                <?php } ?>
                <td align="right"><?php echo number_format($producto['Cantidad'],0,',','.'); ?></td>
                <?php if($_SESSION['verEnCajas']=='S') { ?>
                <td align="right"><?php echo number_format($producto['CantidadCajas'],2,',','.'); ?><br /></td>
                <?php } ?>
                <td align="center"><?php echo number_format($producto['Leido'],0,',','.'); ?></td>
            </tr>
            <?php
            
            } //Fin iteracion productos
            
            ?>
        </table>
        <?php
		
	}
	else {
		?><p class="error">No quedan productos pendientes de leer.</p><?php
		$noMostrarPlay=true;
	}

	if(count($productosLeidos)>0) {
	
	?>
        <h3>Trazabilidad ya registrada:</h3><?php
		
        ?>
        <table class="tablaFormateada anchoMaximo">
            <tr>
                <th>Código</th>
                <th>Descripción</th>
                <?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
                    <?php if($comportamiento['Activo']=='S') { ?><th><?php echo $comportamiento['Nombre']; ?></th><?php } ?>
                <?php } ?>
                <th>Cantidad</th>
                <?php if($_SESSION['verEnCajas']=='S') { ?><th>Cajas</th><?php } ?>
                <th>Trazabilidad</th>
            </tr>
            <?php
        
            foreach($productosLeidos as $producto) {
			
				$cadenaTrazabilidad='';
				$productoIDs=arreglaArrayPXMobileProxiumResult($producto['ProductoIDs']);
				foreach($productoIDs as $numero) {
					if(!empty($cadenaTrazabilidad)) $cadenaTrazabilidad.=';';
					$cadenaTrazabilidad.=base64_encode($numero['CodigoEscaneado']).','.$numero['Formato'].','.$numero['Cantidad'];
				}
				
				?>

                <tr class="lineaEntrada" >
                    
					<td><?php echo $producto['Codigo']; ?></td>
                    <td align="left" style="max-width:400px;word-wrap:break-word;"><?php echo $producto['Descripcion']; ?></td>
                    <?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
                        <?php if($comportamiento['Activo']=='S') { ?>
                            <td>
                            <?php
                            if($comportamiento['NombreSQL']=='Regimen') echo $producto['Regimen'];
							else echo formateaTipo($producto[$comportamiento['NombreSQL']],$comportamiento['Tipo']);
                            ?>
                            </td> 
                        <?php } ?>
                    <?php } ?>
                    <td align="right"><?php echo number_format($producto['Leido'],0,',','.'); ?></td>
                    <?php if($_SESSION['verEnCajas']=='S') { ?><td align="right"><?php echo number_format($producto['LeidoCajas'],2,',','.'); ?><br /></td><?php } ?>
                    <td><img class="verTrazabilidad clicable" src="<?php echo DIR_IMAGENES; ?>/barcode-buscar.png" style="width:60px" numeros="<?php echo $cadenaTrazabilidad; ?>"/></td>
                </tr>
            
				<?php
            
            } //Fin iteracion productos
            
            ?>
        </table>
        <?php

	}
	
	if(count($productosLeidos)>0) {
		if($_SESSION['entradaTrazabilidad']['EstadoOprep']!='Cerrada') {
			?><p><input type="submit" name="botonDesleer" id="botonDesleer" value="Liberar lectura"class="mostrarCargando boton"  style="font-size:0.9em" /></p><?php
		}
	}
	
}
else {
	?><p>Esta Entrada no tiene productos en previsión.</p><?php
}

?>

</div> <!-- classe estilosOP -->

<script>

$(document).ready(function() {

	$('#botonDesleer').on("click",function(e){
		window.location='<?php echo $rutaHtml; ?>/trazabilidad-tabaco-entrada-liberar.php?entrada=<?php echo $_SESSION['entradaTrazabilidad']['NumEntrada']; ?>&empresa=<?php echo $_SESSION['entradaTrazabilidad']['Empresa']; ?>'
	});

	$('#botonLectura').on("click",function(e){
	
		$('#popupCargando').show();
		
		var parametros='';
		
		//Primero miramos si hay check de inicio
		$('.selectorInicio').each( function(){
			if( $(this).is(":checked") ) {
				parametros='lineaentrada='+$(this).attr('lineaentrada');
			}
		});
		
		<?php if($_SESSION['entradaTrazabilidad']['Estado']=='Iniciada') { ?>
			window.location='<?php echo $rutaHtml; ?>/trazabilidad-tabaco-entrada-proceso.php?'+parametros;
		<?php } else { ?>
			$.post( "<?php echo $rutaHtml; ?>/contenidos/trazabilidad-tabaco-entrada-iniciar.php" )
			.done(function(data) {
				var resultado=data.split('#');
				if(resultado[0]==1) {
					$('#popupCargando').hide();
					alert('Error: '+resultado[1]);
				}
				else window.location='<?php echo $rutaHtml; ?>/trazabilidad-tabaco-entrada-proceso.php?'+parametros;	
			});
		<?php } ?>
		
	});
	
	$('.selectorInicio').on("click",function(){
		valorActual=$(this).prop('checked');
		$('.selectorInicio').prop('checked',false);
		$(this).prop('checked',valorActual);
	});
	
	$('.verTrazabilidad').on('click',function(){
		$.post('<?php echo $rutaHtml; ?>/contenidos/trazabilidad-tabaco-ids.php' , { 'numeros' : $(this).attr('numeros') })
		.done(function(data) {
			$('#popupTrazabilidadContenido').html(data);
			$('#popupTrazabilidad').show();
			$('#popupTrazabilidadContenido').show();
			
			var posicion=$(document).scrollTop();
			$('#popupTrazabilidadContenido').offset({ top: posicion+20 });
		});
	});

	
});

</script>
<?php
} //Else error

$noMostrarInfo=true;

include($rutaPhp.$rutaHtml.'/maqueta/menu-trazabilidad-tabaco-entrada.php');

include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>